Subject: RE: [Simple] problem with filters and resource lists

From: <[email-masked]>
Date: Tue, 21 Mar 2006 13:34:02 +0100

Hello, 

After some deeper analysis it seems to me that it would be better if the
resource specific filters overrides the list specific filter.

Example: I have list of friends, and I want to be notified about changes
in status in tuple A. So I create filter without uri, and every resource
is filtered. Then I want to set another filter for one resource. To
achieve it, I must remove the list specific filter, and create resource
specific filters for each resource. So if I have 10 resources, there
will be 10 filters.

On the other hand, if the resource specific filter overrides the list
specific one, I would just add one resource specific filter. I have only
2 filters instead of 10.

What is your opinion?

Silvestr

> -----Original Message-----
> From: Hisham Khartabil [mailto:[email-masked]]
> Sent: Monday, February 13, 2006 4:15 PM
> To: Peknik Silvestr
> Cc: [email-masked]
> Subject: Re: [Simple] problem with filters and resource lists
> 
> 
> On Feb 13, 2006, at 3:13 PM, <[email-masked]> wrote:
> 
> > Hello,
> >
> > I found another thing I need help with.
> >
> > 3.3 (draft-ietf-simple-event-filter-funct-05):
> > ...
> >    A SUBSCRIBE request destined to a list URI [4] MAY include
multiple
> >    filters specific to individual resources.  This is achieved by
> >    including multiple <filter> elements with different URIs of
> > resources
> >    in each of those elements.  This resource specific filter
overrides
> >    any list specific filter, if any.  The list specific filter may
or
> >    may not include a URI.
> >
> > So I guess the filters do not stack. If I have filter without uri
and
> > another one with particular uri, only the one with particular uri is
> > applied to the affected resource. Right?
> 
> Not quite. The text should be interpreted as saying that the
individual
> resource specific filter is applied first.
> 
> >
> > Now consider following situation. I have [email-masked] (RLS1) and
> > [email-masked] (RLS2). List2 is one of the resources in list1. List2
> > contains [email-masked]. A subscription to list1 carries filters for bob
> > (F1)
> > and for list2 (F2). F2 is propagated to the subscription to list2.
RLS2
> > subscribes back to RLS1 to bob and propagates F2.
> 
> Why is F2 being propagated?
> 
> Hisham
> 
> > So notifications from
> > bob are filtered with both F2 (because it is propagated) and with F1
> > because bob is under RLS1 administrative control and thus RLS has to
> > filter the notifications.
> >
> > Should it work this way?
> >
> > Thank you,
> >
> > Silvestr Peknik
> >

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple